###################################################################
#
# This stage is for php4-contrib.
#
###################################################################
export LANG=C

if [ -r /tmp/SeTT_PX ]; then
  ROOT="`cat /tmp/SeTT_PX`"
fi

APACI_DIR=$ROOT/opt/apache_mod_ssl-2.8.10-1.3.26
PHP_DIR=$ROOT/opt/php4

#(cd $ROOT/$APACI_DIR/htdocs/php4test;
#  for i in `cat slist`; do 
#	ln -sf `basename $i` ${i}s ;
#  done
#)

(cd $ROOT/$APACI_DIR/htdocs/; ln -sf /usr/doc/php-4.2.3)

# for GDGRAF
/bin/su - postgres -c "sh $APACI_DIR/htdocs/php4test/gdgraf4/create.sh"

HNAME=`hostname -s`
IPADR=`hostname -i`
NNAME=`grep -v "^#" /etc/hosts | fgrep $IPADR | awk '{print $2}' `
if [ "$NNAME" = "$HNAME" ] ; then
  NNAME=`grep -v "^#" /etc/hosts | fgrep $IPADR | awk '{print $3}' `
fi
if [ "$NNAME" != "" ] ; then
  ( cd $APACI_DIR/htdocs/php4test/gdgraf4/;
      sed -e "s/localhost/$NNAME/" index.html.org > index.html )
else
  (cd $APACI_DIR/htdocs/php4test/gdgraf4;
     cp index.html.org index.html )
fi


#(cd $PHP_DIR/lib/php/extensions/no-debug-non-zts-20010901;
# rm -rf java.so;
# ln -sf libphp_java.so java.so;
# rm -rf pdf.so;
# ln -sf libpdf_php.so pdf.so  )

if ! fgrep "\[APC\]" $PHP_DIR/lib/php.ini 1> /dev/null 2>&1; then
	cat /usr/doc/php-4.2.3/modules/php_apc/php.ini-apc.add \
		>> $PHP_DIR/lib/php.ini
fi

# ( DONOT CHANGE THE NEXT ONE LINE )
# Add PHP4-CONTRIB Entry to Apache document index.
if [ -f $APACI_DIR/htdocs/contents.list ]; then
  if ! fgrep "PHP-4.2.3-CONTRIB" $APACI_DIR/htdocs/contents.list 1> /dev/null 2>&1; then

    cat >> $APACI_DIR/htdocs/contents.list <<EOL

    <P ALIGN="CENTER"> PHP-4.2.3-CONTRIB
     <A
      HREF="php-4.2.3/modules"
     >Japanese Extention Modules(by Mr. Tsukada) and so on</A><BR>
     Examples: <A
      HREF="php4test/guest4/"
     > Guestbook & MailForm </A>
     /
     <A
      HREF="php4test/count4/"
     > Access Counter </A>
     /
     <A
      HREF="php4test/phpgsql4/"
     > Access to PostgreSQL </A>
     /
     <A
      HREF="php4test/gdgraf4/"
     > Graph with GD </A>
     /
     <A
      HREF="php4test/"
     > Tests and Samples </A>.
    </P>
EOL
  fi


  # set permition for sample directory
  chown -R wadm.apache $APACI_DIR/htdocs/php4test
  chown -R www $APACI_DIR/htdocs/php4test/tmp/
  chown -R www $APACI_DIR/htdocs/php4test/imagelist/{scratch,work}
  chmod -R g+r $APACI_DIR/htdocs/php4test
  chmod g+ws $APACI_DIR/htdocs/php4test
  chmod g+ws $APACI_DIR/htdocs/php4test/guest4/
  chmod g+ws $APACI_DIR/htdocs/php4test/count4/

  $APACI_DIR/bin/apachectl stop
  sleep 1
  $APACI_DIR/bin/apachectl startssl

else
  awk '/Add PHP4-CONTRIB Entry/,/#EOS2' $ROOT/install/doinst.sh >> /tmp/add_apache_test.sh
fi
#EOS2
