<?php
/*
 *	PHPgSQL
 *	-------
 *	 File:		_table.php
 *	 Usage:		table setting of phpgsql
 *	 date:		2001-09-23
 *	 version:	4.2.1
 *	 Author:	Jun Kuwamura <juk@yokohama.email.ne.jp>
 *
 *	2002-05-03 Rename. register_globals=Off for php-4.2.0
 *	2001-09-23 Use show_source() for php-4.0.6
 *	2000-10-12 Change from Logout button to the icon image.
 */
require_once("phpgsql_func.php");
?>

<HTML>
<HEAD><TITLE>Table@PHP+PostgreSQL</TITLE></HEAD>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=shift-jis">
<BODY BGCOLOR=#DDFFFF FOREGROUND=#000000>

<TABLE><TR>
<TD>  <b>Table@PHP+PostgreSQL</b>  </TD>
<TD>  <? include "phpgsql_srcbutton.php" ?>  </TD>
</TR></TABLE>

<H3>DB: <? echo $_GET['DB_NAME']; ?></H3>

<?
  $dbhost = $_GET['DB_HOST'];
  $dbport = $_GET['DB_PORT'];
  $dbname = $_GET['DB_NAME'];
  $dbuser = $_GET['DB_USER'];
  $dbpass = $_GET['DB_PASS'];
  $rowlimit = $_GET['row_limit'];
  $optdebug = $_GET['opt_debug'];
  $showsystbl = $_GET['show_system_table'];
  $showidx = $_GET['show_index'];

  if ( empty($dbname) ) {
?>
       ǡ١̾򥻥åȤƲ
       <FORM METHOD="GET" ACTION="_setdb.php">
          <INPUT TYPE="hidden" NAME="DB_HOST" VALUE="<?echo $dbhost?>">
          <INPUT TYPE="hidden" NAME="DB_PORT" VALUE="<?echo $dbport?>">
          <INPUT TYPE="submit" VALUE="RETURN">
          <INPUT TYPE="hidden" NAME="DB_USER" VALUE="<? echo $dbuser ?>">
          <INPUT TYPE="hidden" NAME="DB_PASS" VALUE="<? echo $dbpass ?>">
          <INPUT TYPE="hidden" NAME="row_limit" VALUE="<?echo $rowlimit?>">
          <INPUT TYPE="hidden" NAME="opt_debug" VALUE="<?echo $optdebug?>">
       </FORM>
<?
    exit;
  }

  if ($dbhost && $dbname && $dbuser && $dbpass) {
    if ($optdebug == "on") {
	echo "host=$dbhost port=$dbport dbname=$dbname user=$dbuser password=$dbpass<br>";
    }

    $conn = pg_Connect("host=$dbhost port=$dbport dbname=$dbname user=$dbuser password=$dbpass");
  } else {
    if ($optdebug == "on") {
	echo "host=$dbhost port=$dbport dbname=$dbname<br>";
    }
    $conn = pg_Connect($dbhost, $dbport, "", "", $dbname);
  }
  if (!$conn) {
    echo "An error($conn) occured to Connect DB($dbname) on $dbhost through $dbport.\n";
    exit;
  }

  // SET Options
  if ($optdebug == "on") {
    echo "\n optdebug = $optdebug<br>";
    echo "showsystbl = $showsystbl<br>";
    echo "showidx = $showidx<br>";
    echo "rowlimit = $rowlimit<br>";
  }

  if (isset($showidx)) {
	$optrelkind = "(relkind = 'r' OR relkind = 'i')";
  } else {
	$optrelkind = " relkind = 'r' ";
  }

  if (isset($showsystbl)) {
	$optrelname = "relname !~ '^Inv[0-9]+' ";
  } else {
	$optrelname = "relname !~ '^pg_' and relname !~ '^pga_' and relname !~ '^Inv[0-9]+' ";
  }

  $sqlcmd = "SELECT usename, relname, relkind, relhasindex, relhasrules, reltriggers, relacl
	FROM pg_class, pg_user
	WHERE $optrelkind
	and $optrelname
	and usesysid = relowner	 ORDER BY relname";
  $result = pg_Exec($conn, $sqlcmd);

  if (!$result){
    echo "An error occured to Exec query($sqlcmd).<br>\n";
    pg_Close($conn);
    exit;
  }

  $nr = pg_NumRows($result);
  $nf = pg_NumFields($result);

  if ($optdebug == "on") {
	echo "\nExec query($sqlcmd).<br>";
	echo "\n result = $result <br>";
	echo "\n (nr,nf) = ($nr, $nf)<br>";
  }

?>

<FORM METHOD="GET" ACTION="_query.php">

Please choose a relname(table):<q>
<SELECT NAME="TBL_NAME">
<?
   //echo "(nr,nf) = ($nr, $nf)\n";
   $i=0;
   $tblname = "relname";
   while ($i < $nr) {
      $pgres = pg_Result($result, $i, $tblname);
      echo "<OPTION VALUE=$pgres>$pgres";
      $i++;
   }
?>
</SELECT>
,<q> and then click: <INPUT TYPE="submit" VALUE="Query">
to go to query specification.

<BLOCKQUOTE>
Or push a button in DirectRetrieve column if you select all rows directly.
<?
   echo "<TABLE CELLPADDING = 2 BORDER = 2 COLS = 16>";
   echo "<TR>";
   echo "<TH>DirectRetrieve</TH>";
   $j = 0;
   while ($j < $nf) {
      $fldname[] = pg_FieldName($result, $j);
      echo "<TH BGCOLOR=#00DDDD>";
      echo $fldname[$j];
      echo "</TH>  ";
      $j++;
   }
   echo "</TR>\n";

   $i = 0;
   while ($i < $nr) {
      echo "<TR>";
      echo "<TD><INPUT TYPE=submit NAME=WHOLE_TBL VALUE=".pg_Result($result, $i, 'relname')."></TD>";
      $j = 0;
      while ($j < $nf) {
         echo "<TD>";
         echo pg_Result($result, $i, $fldname[$j]);
         echo "</TD>  ";
         $j++;
      }
      echo "</TR><p>";
      $i++;
   }
   echo "</TABLE>";
?>
</BLOCKQUOTE>
<P>
<P>
<?
   pg_FreeResult($result);
   pg_Close($conn);

   put_last_query ( $conn, $sqlcmd, $result );
?>

<INPUT TYPE="hidden" NAME="DB_HOST" VALUE="<?echo $dbhost?>">
<INPUT TYPE="hidden" NAME="DB_PORT" VALUE="<?echo $dbport?>">
<INPUT TYPE="hidden" NAME="DB_NAME" VALUE="<?echo $dbname?>">
<INPUT TYPE="hidden" NAME="DB_USER" VALUE="<? echo $dbuser ?>">
<INPUT TYPE="hidden" NAME="DB_PASS" VALUE="<? echo $dbpass ?>">
<INPUT TYPE="hidden" NAME="row_limit" VALUE="<?echo $rowlimit?>">
<INPUT TYPE="hidden" NAME="opt_debug" VALUE="<?echo $optdebug?>">
<INPUT TYPE="hidden" NAME="q_condition" VALUE="<?if (isset($_GET['q_condition'])) echo $_GET['q_condition']?>">
</FORM>

</BODY>
</HTML>
