<?php
///////////////////////////////////
// JPEG EXIF infomation print
// $jpegfile must be substituted.
//
// Created for imagelist.php.
//	2002-02-17 by Jun Kuwamura <juk@yokohama.email.ne.jp>
//
// 2002-03-14 JuK Add checking for ListCam.
//
///////////////////////////////////
if ( empty($_GET['thumbnail']) ) {
  echo "<blockquote>\n";
  echo "<table border=\"1\" cellspacing=\"0\">\n";
  echo "<caption>EXIF informations in \"".basename($jpegfile)."\" file</caption>\n";
  // Print out information in text.
  $exif = read_exif_data($jpegfile);
  while(list($k,$v)=each($exif)) {
    echo "<tr>";
    if ( "$k" == "Thumbnail" ) {
      echo "<td> $k </td>";
      echo "<td> <img src=\"print_exif_data.php?thumbnail=$jpegfile\"> </td>";
    } else {
      echo "<td> $k </td><td> $v </td>\n";
      if ( trim($k) == "Software" ) {
        $coder = substr(trim($v), 0, 7);
	// Checking for ListCam
        if  ( "$coder" == "LcLight" || "$coder" == "ListCam" ) {
          echo "<td> <a href=\"http://www.clavis.ne.jp/~listcam/index.ssi\">
		   <img src=\"lclogow.gif\" border=\"0\" target=\"new\"></a>
	       </td>\n";
        }
      }
    }
    echo "</tr>\n";
  }
  echo "</table>\n";
  echo "</blockquote>\n";
} else {
  // Extract thumbnail if $_GET['thumbnail'] is specified.
  $exif = read_exif_data($_GET['thumbnail']);
  while(list($k,$v)=each($exif)) {
    if ( "$k" == "Thumbnail" ) {
      // output buffering off befoer output
      ob_end_clean();
      Header("Content-type: image/jpeg");
      echo $v;
      flush();
      ob_start();
    }
  }
}
?>
